Bug 345391 - (python-flup) Review Request: python-flup - Random assortment of WSGI servers for python
Review Request: python-flup - Random assortment of WSGI servers for python
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-22 11:39 EDT by Till Maas
Modified: 2007-11-30 17:12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-24 15:39:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Till Maas 2007-10-22 11:39:19 EDT
Spec URL: http://till.fedorapeople.org/review/python-flup.spec
SRPM URL: http://till.fedorapeople.org/review/python-flup-1.0-1.tillf7.src.rpm
Description: 
This package contains classes to create WSGI servers in python, e.g. fastcgi.
Comment 1 Arindam Ghosh 2007-10-22 14:44:20 EDT
Issues:

* rpmbuild
The BuildRequires should contain python-setuptools >= 0.6c6
Because this is the minimum version of python-setuptools required.

Comment 2 Till Maas 2007-10-22 15:44:12 EDT
(In reply to comment #1)
> Issues:
> 
> * rpmbuild
> The BuildRequires should contain python-setuptools >= 0.6c6
> Because this is the minimum version of python-setuptools required.

Why is this so? I used the buildrequires magic from:
http://fedoraproject.org/wiki/Packaging/Python/Eggs#head-3e899702195642d7d12483e0d73451b70e8d3e9c
There a specific version is not mentioned.
Comment 3 Parag AN(पराग) 2007-10-23 04:33:05 EDT
You need to have build and install as 

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

I saw that anyway install is calling build so why not to call build in proper
build section.
Comment 4 Arindam Ghosh 2007-10-23 08:25:06 EDT
(In reply to comment #2)

This is because this particular package requires python-setuptools >= 0.6c6.
I had build it on my F7 box. It gave out an RPM build error that it requires
python-setuptools>=0.6c6. Then I had the 0.6c5 version. I updated it and it
worked fine...

Also do fix the build thing suggested above
Comment 5 Till Maas 2007-10-23 08:52:45 EDT
Here are the changed files:

Spec URL: http://till.fedorapeople.org/review/python-flup.spec
SRPM URL: http://till.fedorapeople.org/review/python-flup-1.0-2.tillf7.src.rpm

- Fedora <= 7: python-setuptools needs to be 0.6c6 or newer
- Move build to %%build

I used python instead of %{__python}, afaik this is ok with the guidelines and I
like it more, because it is less obfuscated, e.g. %{__python} could also do some
magic instead of only pointing to the python binary.
Comment 6 Parag AN(पराग) 2007-10-24 02:38:22 EDT
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
530801fe835fd9a680457e443eb95578  flup-1.0.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.

APPROVED.
Comment 7 Till Maas 2007-10-24 07:51:28 EDT
Thank you for this fast review. :-)


New Package CVS Request
=======================
Package Name: python-flup
Short Description: Random assortment of WSGI servers for python
Owners: till
Branches: F-7 F-8 EL-5
InitialCC: 
Cvsextras Commits: yes
Comment 8 Kevin Fenzi 2007-10-24 13:41:22 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.